TestCaseTest
Keywords: junit.tests.framework.TestCaseTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.framework
Class TestCaseTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.framework.TestCaseTest

All Implemented Interfaces:
  Test

    public class TestCaseTest

extends TestCase

A test case testing the testing framework.

Constructor Summary
`TestCaseTest()`

Method Summary
`void` | `testCaseToString()`
`void` | `testError()`
`void` | `testErrorTearingDownDoesntMaskErrorRunning()`
`void` | `testExceptionRunningAndTearDown()`
`void` | `testFailure()`
`void` | `testNamelessTestCase()`
`void` | `testNoArgTestCasePasses()`
`void` | `testRunAndTearDownFails()`
`void` | `testSetupFails()`
`void` | `testSuccess()`
`void` | `testTearDownAfterError()`
`void` | `testTearDownFails()`
`void` | `testTearDownSetupFails()`
`void` | `testWasRun()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCaseTest

    public TestCaseTest()

Method Detail

### testCaseToString

    public void testCaseToString()

### testError

    public void testError()

### testRunAndTearDownFails

    public void testRunAndTearDownFails()

### testSetupFails

    public void testSetupFails()

### testSuccess

    public void testSuccess()

### testFailure

    public void testFailure()

### testTearDownAfterError

    public void testTearDownAfterError()

### testTearDownFails

    public void testTearDownFails()

### testTearDownSetupFails

    public void testTearDownSetupFails()

### testWasRun

    public void testWasRun()

### testExceptionRunningAndTearDown

    public void testExceptionRunningAndTearDown()

### testErrorTearingDownDoesntMaskErrorRunning

    public void testErrorTearingDownDoesntMaskErrorRunning()

### testNoArgTestCasePasses

    public void testNoArgTestCasePasses()

### testNamelessTestCase

    public void testNamelessTestCase()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD